import { request } from '@umijs/max';
// 分页查询数据集
export function getDatasetList(params) {
  return request(`/api/mmp/dataset`, {
    method: 'GET',
    params,
  });
}
// 分页查询模型
export function getModelList(params) {
  return request(`/api/mmp/models`, {
    method: 'GET',
    params,
  });
}
// 新增数据集
export function addDatesetAndVesion(data) {
  return request(`/api/mmp/dataset/addDatasetAndVersion`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
    data,
  });
}
// 新增模型
export function addModel(data) {
  return request(`/api/mmp/models/addModelAndVersion`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
    data,
  });
}
// 查询数据集简介
export function getDatasetById(id) {
  return request(`/api/mmp/dataset/${id}`, {
    method: 'GET',
  });
}
// 查询左侧列表
export function getAssetIcon(params) {
  return request(`/api/mmp/assetIcon`, {
    method: 'GET',
    params,
  });
}
// 查询模型简介
export function getModelById(id) {
  return request(`/api/mmp/models/${id}`, {
    method: 'GET',
  });
}
// 查询数据版本集
export function getDatasetVersionsById(id) {
  return request(`/api/mmp/dataset/versions/${id}`, {
    method: 'GET',
  });
}
// 查询模型版本集
export function getModelVersionsById(id) {
  return request(`/api/mmp/models/versions/${id}`, {
    method: 'GET',
  });
}
// 分页查询数据集
export function getDatasetVersionIdList(params) {
  return request(`/api/mmp/datasetVersion/versions`, {
    method: 'GET',
    params,
  });
}
// 根据版本查询模型
export function getModelVersionIdList(params) {
  return request(`/api/mmp/modelsVersion/versions`, {
    method: 'GET',
    params,
  });
}
// 删除数据集
export function deleteDatasetVersion(params) {
  return request(`/api/mmp/datasetVersion/deleteVersion`, {
    method: 'DELETE',
    params,
  });
}
// 删除模型
export function deleteModelVersion(params) {
  return request(`/api/mmp/modelsVersion/deleteVersion`, {
    method: 'DELETE',
    params,
  });
}
// 新增数据集版本
export function addDatasetVersionDetail(data) {
  return request(`/api/mmp/datasetVersion/addDatasetVersions`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
    data,
  });
}
// 新增模型版本
export function addModelsVersionDetail(data) {
  return request(`/api/mmp/modelsVersion/addModelVersions`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
    data,
  });
}
// 下载数据集
export function exportDataset(id) {
  return request(`/api/mmp/dataset/download/${id}`, {
    method: 'GET',
  });
}
// 删除模型集
export function deleteModel(id) {
  return request(`/api/mmp/models/${id}`, {
    method: 'DELETE',
  });
}
// 删除数据集
export function deleteDataset(id) {
  return request(`/api/mmp/dataset/${id}`, {
    method: 'DELETE',
  });
}
// 获取模型依赖
export function getModelAtlasReq(data) {
  return request(`/api/mmp/modelDependency/queryModelAtlas`, {
    method: 'POST',
    data
  });
}

// 实验结果导出到模型
export function exportModelReq(data) {
  return request(`/api/mmp/models/exportModel`, {
    method: 'POST',
    data
  });
}